Hello Again,
So now I am presented with another similar problem. Distance objects only work to find the distance between parts or products. To find the distance between for example a line and a plane, has to be done using the SPAworkbench. That, however, seems to work only inside of a part. If...
Hello Again,
So now I am presented with another similar problem. Distance objects only work to find the distance between parts or products. To find the distance between for example a line and a plane, has to be done using the SPAworkbench. That, however, seems to work only inside of a part. If...
Well I finally worked it out using the Distance objects:
Dim cGroups
Set cGroups = CATIA.ActiveDocument.Product.GetTechnologicalObject("Groups")
Dim oGroup1
Set oGroup1 = cGroups.Add
Set truc = oconflict.FirstProduct
oGroup1.AddExplicit truc
Set truc = oconflict.SecondProduct...
Well I finally worked it out using the Distance objects:
Dim cGroups
Set cGroups = CATIA.ActiveDocument.Product.GetTechnologicalObject("Groups")
Dim oGroup1
Set oGroup1 = cGroups.Add
Set truc = oconflict.FirstProduct
oGroup1.AddExplicit truc
Set truc = oconflict.SecondProduct...
Hello,
I am trying to find the point of contact between parts using VBA. I am using the interference module of CATIA and I can find the closest points in the case of a clash or clearance but it doesn't give the point of contact in that case. GetFirstPointCoordinates and...
It would appear that it is only possible to make a reference to something in a part, with the reference being in the context of the part. Is that so?
If so, does anyone know how to get around this??
Hello,
I am trying to find the point of contact between parts using VBA. I am using the interference module of CATIA and I can find the closest points in the case of a clash or clearance but it doesn't give the point of contact in that case. GetFirstPointCoordinates and...